Index: c/src/ChangeLog
===================================================================
--- c/src/ChangeLog	(revision 635c2fe740fe198d0528366a37c3fdebc4ed4814)
+++ c/src/ChangeLog	(revision ea3f5598c074a510272ea7d0cb16b106697e388b)
@@ -1,2 +1,15 @@
+2005-01-05	Ralf Corsepius <ralf.corsepius@rtems.org>
+
+	* configure.ac: Pass CFLAGS to cpukit configure.
+	* aclocal/rtems-flags.m4: Remove (Unused).
+	* aclocal/prog-ccas.m4: Remove $(GCCSPECS).
+	* aclocal/env-rtemsbsp.m4:
+	Comment out CFLAGS_OPTIMIZE_V, CFLAGS_DEBUG_V, CPU_CFLAGS.
+	* aclocal/prog-cc.m4: Don't invoke _RTEMS_FLAGS to set up
+	RTEMS_CFLAGS.
+	* automake/compile.am: AM_CFLAGS = RTEMS_CFLAGS. Add AM_CXXFLAGS.
+	Remove CPPFLAGS, CFLAGS, CPU_CFLAGS, CFLAGS_OPTIMIZE, ASFLAGS.
+	Cleanup comments.
+
 2005-01-01	Ralf Corsepius <ralf.corsepius@rtems.org>
 
Index: c/src/aclocal/env-rtemsbsp.m4
===================================================================
--- c/src/aclocal/env-rtemsbsp.m4	(revision 635c2fe740fe198d0528366a37c3fdebc4ed4814)
+++ c/src/aclocal/env-rtemsbsp.m4	(revision ea3f5598c074a510272ea7d0cb16b106697e388b)
@@ -9,7 +9,7 @@
 AC_BEFORE([$0], [RTEMS_CHECK_CUSTOM_BSP])dnl
 
-AC_ARG_VAR([CPU_CFLAGS],[CFLAGS specifying CPU-dependent features])
-AC_ARG_VAR([CFLAGS_OPTIMIZE_V],[CFLAGS for building the OPTIMIZE variant])
-AC_ARG_VAR([CFLAGS_DEBUG_V],[CFLAGS for building the DEBUG variant])
+# AC_ARG_VAR([CPU_CFLAGS],[CFLAGS specifying CPU-dependent features])
+# AC_ARG_VAR([CFLAGS_OPTIMIZE_V],[CFLAGS for building the OPTIMIZE variant])
+# AC_ARG_VAR([CFLAGS_DEBUG_V],[CFLAGS for building the DEBUG variant])
 AC_ARG_VAR([RTEMS_BSP_FAMILY],[RTEMS's BSP directory])
 AC_ARG_VAR([RTEMS_CPU_MODEL],[RTEMS's cpu model])
Index: c/src/aclocal/prog-cc.m4
===================================================================
--- c/src/aclocal/prog-cc.m4	(revision 635c2fe740fe198d0528366a37c3fdebc4ed4814)
+++ c/src/aclocal/prog-cc.m4	(revision ea3f5598c074a510272ea7d0cb16b106697e388b)
@@ -11,6 +11,5 @@
 AC_BEFORE([$0], [RTEMS_CANONICALIZE_TOOLS])dnl
 
-_RTEMS_FLAGS([CFLAGS],
-  ["\$(CPU_CFLAGS) \$(RTEMS_CFLAGS_\$(VARIANT_V)_V) \$(CFLAGS_\$(VARIANT_V)_V) -g"])
+CFLAGS=${CFLAGS-${CPU_CFLAGS} ${CFLAGS_OPTIMIZE_V}}
 
 RTEMS_CHECK_TOOL(CC,gcc)
@@ -40,4 +39,5 @@
 m4_if([$1],,[],[RTEMS_CFLAGS="$RTEMS_CFLAGS $1"])
 fi
+AC_SUBST(RTEMS_CFLAGS)
 
 AS_IF([test x"$rtems_cv_gcc_isystem" = x"yes"],[
Index: c/src/aclocal/prog-ccas.m4
===================================================================
--- c/src/aclocal/prog-ccas.m4	(revision 635c2fe740fe198d0528366a37c3fdebc4ed4814)
+++ c/src/aclocal/prog-ccas.m4	(revision ea3f5598c074a510272ea7d0cb16b106697e388b)
@@ -4,5 +4,5 @@
 [
 AC_REQUIRE([RTEMS_PROG_CC])
-AC_SUBST(CCAS,["$CC \$(GCCSPECS)"])
+AC_SUBST(CCAS,["$CC"])
 AC_SUBST(CCASFLAGS,["-DASM \$(CFLAGS) \$(INCLUDES)"])
 ])
Index: src/aclocal/rtems-flags.m4
===================================================================
--- c/src/aclocal/rtems-flags.m4	(revision 635c2fe740fe198d0528366a37c3fdebc4ed4814)
+++ 	(revision )
@@ -1,11 +1,0 @@
-## $Id$
-## 
-## Some hacks to set up RTEMS_*FLAGS
-## Internal macro, not supposed to be explictly used in configure.ac's
-
-AC_DEFUN([_RTEMS_FLAGS],[
-AS_IF([test -n "[$]{$1}"],
-  [RTEMS_$1=[$]{$1}],
-  [RTEMS_$1=$2])
-AC_SUBST([RTEMS_$1])
-])
Index: c/src/automake/compile.am
===================================================================
--- c/src/automake/compile.am	(revision 635c2fe740fe198d0528366a37c3fdebc4ed4814)
+++ c/src/automake/compile.am	(revision ea3f5598c074a510272ea7d0cb16b106697e388b)
@@ -3,37 +3,5 @@
 ##
 
-## -------------------------------------------------------------------------
-## NOTE: This file is rather immature and has to be considered to be 
-## almost experimental.
-##
-## Expect frequent changes -- It deserves to be cleaned up :(
-## -------------------------------------------------------------------------
-
-## The section below is based on make/compilers/gcc-target-default.cfg
-## used in former versions of RTEMS.
-
-## 
-## Set up the flags for the toolchains:
-##
-## We are considering 3 different building schemes here:
-## * Using gcc's being able to accept -specs (aka gcc-2.8 building scheme)
-## * Using gcc's not being able to accept -specs (aka gcc-2.7.2 building
-##   scheme)
-## * Using third party toolchains (aka non-gcc building scheme)
-##
-## Automake conditionals in use:
 ## RTEMS_USE_GCC     .. if we are using GCC
-
-## NOTES: 
-## * The gcc-2.8 building scheme is the nominal building scheme and
-##   is actively supported.
-## * The non-gcc building scheme requires manually setting up environment 
-##   variables and is hardly tested at all
-
-## CFLAGS_OPTIMIZE_V, CFLAGS_DEBUG_V are the values we
-## would want the corresponding macros to be set to.
-##
-## CFLAGS_OPTIMIZE, CFLAGS_DEBUG are set by the 
-## 'VARIANT=<OPTIMIZE|DEBUG>' targets to their _V values.
 
 if RTEMS_USE_GCC
@@ -42,32 +10,9 @@
 endif # RTEMS_USE_GCC
 
-CPPFLAGS = @CPPFLAGS@ $(CPU_DEFINES) $(DEFINES)
-CFLAGS   = @RTEMS_CFLAGS@
-## FIXME: This should be correct, but is not supported, yet
-# CXXFLAGS = @RTEMS_CXXFLAGS@
-## Fall back to using RTEMS_CFLAGS for C++
-CXXFLAGS = @RTEMS_CFLAGS@ 
-ASFLAGS  = $(CPU_ASFLAGS) $(CPU_CFLAGS)
-
 depend:
 
 if RTEMS_USE_GCC
-## gcc >= 2.8
 RTEMS_RELLDFLAGS = -qnolinkcmds -nostdlib -Wl,-r
 endif
-
-## -------------------------------------------------------------------------
-## These are supposed to be set in make/custom/<bsp>.cfg
-CPU_CFLAGS = @CPU_CFLAGS@
-CFLAGS_OPTIMIZE_V = @CFLAGS_OPTIMIZE_V@
-
-## ------------------------------------------------------------------------
-## Setup hard-coded flags
-if RTEMS_USE_GCC
-## gcc >= gcc-2.8
-RTEMS_CFLAGS_OPTIMIZE_V =
-RTEMS_CFLAGS_DEBUG_V = -qrtems_debug -Wno-unused
-endif
-RTEMS_CFLAGS__V = $(RTEMS_CFLAGS_OPTIMIZE_V)
 
 ## -------------------------------------------------------------------------
@@ -76,8 +21,9 @@
 CXX = @CXX@ $(GCCSPECS)
 CPP = @CPP@ $(GCCSPECS)
+CCAS = @CCAS@ $(GCCSPECS)
 
 ##
 AM_CPPFLAGS = $(RTEMS_CPPFLAGS)
-AM_CFLAGS =
-AM_CXXFLAGS =
+AM_CFLAGS = $(RTEMS_CFLAGS)
+AM_CXXFLAGS = $(RTEMS_CFLAGS)
 AM_CCASFLAGS = $(RTEMS_CPPFLAGS) $(RTEMS_CCASFLAGS)
Index: c/src/configure.ac
===================================================================
--- c/src/configure.ac	(revision 635c2fe740fe198d0528366a37c3fdebc4ed4814)
+++ c/src/configure.ac	(revision ea3f5598c074a510272ea7d0cb16b106697e388b)
@@ -133,5 +133,6 @@
   ['--with-project-root=${with_project_root}../$RTEMS_BSP/' \
    '--includedir=${exec_prefix}/${RTEMS_BSP}/lib/include' \
-   '--libdir=${exec_prefix}/${RTEMS_BSP}/lib'],
+   '--libdir=${exec_prefix}/${RTEMS_BSP}/lib' \
+   'CFLAGS="${CFLAGS}"'],
   [test x"$multilib" = xno])
 
